VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Attributes | List of all members
MouseEvent Struct Reference
Version 4.11

MouseEvent. More...

Inheritance diagram for MouseEvent:

## Public Attributes
MouseEventButtonState | buttonState
Public Attributes inherited from MousePositionEvent
CPoint | mousePosition
Public Attributes inherited from ModifierEvent
Modifiers | modifiers {}
| pressed modifiers
Public Attributes inherited from Event
EventType | type {EventType::Unknown}
| Type.
uint64_t | id
| Unique ID.
uint64_t | timestamp
| Timestamp.
EventConsumeState | consumed
| Consumed? If this is true, event dispatching is stopped.

## Additional Inherited Members
Public Member Functions inherited from Event
| Event () noexcept
| Event (const Event &)=delete
Event & | operator= (const Event &)=delete
| Event (Event &&)=default
Event & | operator= (Event &&)=default

## Detailed Description

MouseEvent.

## Member Data Documentation

MouseEventButtonState buttonState

The documentation for this struct was generated from the following file:

- events.h